> For the complete documentation index, see [llms.txt](https://docs.eventication.com/event/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eventication.com/event/general/integrations/catalyst/stock-types.md).

# Stock types

{% hint style="info" %}
This endpoint requires the **stock\_types** access to be enabled in the Catalyst integration settings.
{% endhint %}

#### <mark style="color:$success;">GET</mark> `/catalyst/stock_types`

Returns the [stock types](/event/stock/inventory-categories/types.md) for the event. A stock type is a kind of item within a category (e.g. a specific tent model).

* URL: `https://api.eventication.com/catalyst/stock_types?page=1`
* Page size: **200 objects per request**
* Fields per item:
  * `id`
  * `stock_category_id` — references an item from [stock\_categories](/event/general/integrations/catalyst/stock-categories.md)
  * `unit` — one of `articles`, `kg`, `lb`, `m`, `l`
  * `should_be_returned` — whether leased items of this type must be returned to the stock (walkie-talkie) or not (screws)
  * Localized names (dynamic):
    * `name_<locale>` — e.g. `name_en`, `name_fr`, `name_nl`

Locales are included when the corresponding database columns exist. This makes it forward-compatible when adding more languages later.

Example item:

```json
{
  "id": 10,
  "stock_category_id": 1,
  "unit": "articles",
  "should_be_returned": true,
  "name_en": "4-person tent",
  "name_fr": "Tente 4 personnes",
  "name_nl": "4-persoons tent"
}
```

Response shape:

```json
{
  "data": [
    {
      "id": 10,
      "stock_category_id": 1,
      "unit": "articles",
      "should_be_returned": true,
      "name_en": "4-person tent",
      "name_fr": "Tente 4 personnes",
      "name_nl": "4-persoons tent"
    },
    ...
  ],
  "meta": {
    "page": 1,
    "per_page": 200,
    "next_page": null,
    "prev_page": null
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eventication.com/event/general/integrations/catalyst/stock-types.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
